%define name	alsaplayer
%define url		ftp://ftp.alsa-project.org/pub/people/andy
%define version	0.99.32
%define prefix	%{_prefix}
%define release 13mdk

Name:		%{name}
Summary:	Advanced Linux Sound Architecture (ALSA) player
Version:	%{version}
Release:	%{release}

Source:		%{url}/%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Patch:		alsaplayer-tv_quiet.patch.bz2
Patch1: alsaplayer-0.99.32-gcc2.96.patch.bz2

URL:		http://www.alsaplayer.org/
Copyright:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Group:		Sound
Requires:	kernel >= 2.2.17, alsa-lib >= 0.5.9
BuildRequires:	alsa-lib-devel >= 0.5.9, libmikmod-devel XFree86-devel
ExcludeArch:	ppc sparc sparc64

%description
Advanced Linux Sound Architecture (ALSA) utils. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%prep

%setup -q
%patch0 -p1 -b .debug_quiet
%patch1 -p1

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mkdir -p $RPM_BUILD_ROOT{%{_menudir},%{_datadir}}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
longtitle="The Alsa Player" \
section="Multimedia/Sound"\
title="Alsa Player"\
command="%{name}"\
icon="%{name}.xpm"
EOF

bzcat %{SOURCE1}|tar xf - -C %buildroot/%{_datadir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc docs/TODO docs/*.txt
%{_menudir}/%{name}
%{_bindir}/*
%{_libdir}/%{name}
%{_iconsdir}/*xpm
%{_iconsdir}/*/*xpm

%changelog
* Fri Feb  9 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.99.32-13mdk
- Do not exclude alpha from build.

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-12mdk
- Recompile with alsa-0.5.10.

* Tue Nov 28 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-11mdk
- Add icons.

* Sat Nov 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-10mdk
- fix gcc2.96 compilation.

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.99.32-9mdk
- EcludeArch: ppc

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-8mdk
- remove some debugging messages

* Thu Aug 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-7mdk
- build against latest alsa-lib
- fix requires

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.32-6mdk
- disabled the use of makeinstall macro in order to have the libraries installed
  in the correct place (reported by Anton Graham <darkimage@bigfoot.com>)
- cleaner specfile
- more menu dir macros

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.99.32-5mdk
- automatically added BuildRequires

* Mon Jul 17 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-4mdk
- fix macros

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.32-3mdk
- macroszifications.
- build against latest alsa-lib
- Use macros for update-menus.

* Mon Jun 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-2mdk
- build against latest alsa-lib
- add url

* Thu Jun 08 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.99.32-1mdk
- new release

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.99.31-2mdk

- ExcludeArch: alpha sparc sparc64

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.99.31-1mdk
- Add menu entry.
- Fix Requires.
- Fix titi sucks.
- Build again latest alsa-lib and libmikmod.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.99.31-2mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- update to 99.31
- compiled against alsa-lib-0.5.5

* Tue Aug 24 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec
